Information For

myCSUSM Browser Information

For optimal performance and compatibility with myCSUSM/PeopleSoft, we strongly recommend using the latest supported browser versions.  Browsers older than the official supported releases have known issues and should not be used.  For best results use the following browsers:

  • Current certified releases of Internet Explorer (IE) are preferred.  IE version 11 has been certified by Oracle for PeopleSoft.
  • Current latest releases of Firefox and Chrome 
  • Safari 5 and higher

You may need to clear your browser's cache and cookies. 

Browser Issue
Chrome, Firefox and Safari No issues to report at this time.
Internet Explorer

Many users report varying versions are fine.   If you have an issue with an important page,  try another browser and/or computer.  Here are the known issues:

  • Faculty should not use IE versions 8 or 9 for grade entry.  The latest versions of IE, Firefox or Chrome should be used instead.
  • To make an Enrollment Deposit do not use IE version 8 or 9.  The latest versions of IE, Firefox or Chrome should be used instead.
  • The online booklist may not perform well with IE 9.  For best results use the latest versions of the browsers. 
  • Student Center reports such as the Unofficial Transcript are best viewed in IE version 10 or higher.  It has been reported that the page will continue to spin in earlier versions of IE. 

Instructions page for CSUSM Oracle/PS 9.x and PeopleTools 8.53.x

Last updated May 20, 2014